import { Channel, ClientFactory } from 'nice-grpc';
import { DispatcherClient as PbDispatcherClient, StepActionEvent, GroupKeyActionEvent } from '../../../../src/protoc/dispatcher';
import { ClientConfig } from '../../../../src/clients/hatchet-client/client-config';
import { Logger } from '../../../../src/util/logger';
import { ActionListener } from './action-listener';
interface GetActionListenerOptions {
    workerName: string;
    services: string[];
    actions: string[];
}
export declare class DispatcherClient {
    config: ClientConfig;
    client: PbDispatcherClient;
    logger: Logger;
    constructor(config: ClientConfig, channel: Channel, factory: ClientFactory);
    getActionListener(options: GetActionListenerOptions): Promise<ActionListener>;
    sendStepActionEvent(in_: StepActionEvent): Promise<import("../../../../src/protoc/dispatcher").ActionEventResponse>;
    sendGroupKeyActionEvent(in_: GroupKeyActionEvent): Promise<import("../../../../src/protoc/dispatcher").ActionEventResponse>;
}
export {};
